/** customizer  */
jQuery(document).ready(function($) {
    /**
     * Customizer Option Auto focus
     */
    jQuery('h3.accordion-section-title').on('click', function() {
        var id = $(this).parent().attr('id');
        var is_panel = id.includes("panel");
        var is_section = id.includes("section");

        if (is_panel) {
            focus_item = id.replace('accordion-panel-', '');
            //console.log(focus_item);
            history.pushState({}, null, '?autofocus[panel]=' + focus_item);
        }
        if (is_section) {
            focus_item = id.replace('accordion-section-', '');
            history.pushState({}, null, '?autofocus[section]=' + focus_item);
        }
    });

    /**
     * Set Page type for front page
     */
    wp.customize('chankhe_enable_frontpage', function(setting) {
        var enableFrontPage = function(control) {
            var visibility = function() {
                if ('enable' === setting.get()) {
                    wp.customize.control('show_on_front').setting.set('posts');
                }
            };
            visibility();
            setting.bind(visibility);
        };

        wp.customize.control('chankhe_enable_frontpage', enableFrontPage);
    });



    /** boxed / full width */
    wp.customize('chankhe_site_layout', function(setting) {
        var Boxed = function(control) {
            var visibility = function() {
                if ('boxed' === setting.get()) {
                    control.container.removeClass('customizer-hidden');
                } else {
                    control.container.addClass('customizer-hidden');
                }
            };
            visibility();
            setting.bind(visibility);
        };

        wp.customize.control('chankhe_page_box_width_group', Boxed);
    });

    /** banner slider */
    wp.customize('chankhe_slider_type', function(setting) {
        var DefaultSlider = function(control) {
            var visibility = function() {
                if ('default' === setting.get()) {
                    control.container.removeClass('customizer-hidden');
                } else {
                    control.container.addClass('customizer-hidden');
                }
            };
            visibility();
            setting.bind(visibility);
        };

        var video = function(control) {
            var visibility = function() {
                if ('video' === setting.get()) {
                    control.container.removeClass('customizer-hidden');
                } else {
                    control.container.addClass('customizer-hidden');
                }
            };
            visibility();
            setting.bind(visibility);
        };

        wp.customize.control('chankhe_banner_bg_image', DefaultSlider);
        wp.customize.control('chankhe_slider_video_url', video);
    });

    /**
     * Backgrond Type
     */
    var settingIds = [
        'chankhe_promo_service',
        'chankhe_aboutus',
        'chankhe_slider',
        'chankhe_promoservice',
        'chankhe_video_calltoaction',
        'chankhe_service',
        'chankhe_counter',
        'chankhe_blog',
        'chankhe_team',
        'chankhe_testimonial'
    ];
    $.each(settingIds, function(i, settingId) {
        wp.customize(settingId + '_bg_type', function(setting) {
            var setupControlColorBg = function(control) {
                var visibility = function() {
                    if ('color-bg' === setting.get() || 'image-bg' === setting.get()) {
                        control.container.removeClass('customizer-hidden');
                    } else {
                        control.container.addClass('customizer-hidden');
                    }
                };
                visibility();
                setting.bind(visibility);
            };

            var setupControlImageBg = function(control) {
                var visibility = function() {
                    if ('image-bg' === setting.get()) {
                        control.container.removeClass('customizer-hidden');
                    } else {
                        control.container.addClass('customizer-hidden');
                    }
                };
                visibility();
                setting.bind(visibility);
            };

            var setupControlVideoBg = function(control) {
                var visibility = function() {
                    if ('video-bg' === setting.get()) {
                        control.container.removeClass('customizer-hidden');
                    } else {
                        control.container.addClass('customizer-hidden');
                    }
                };
                visibility();
                setting.bind(visibility);
            };

            var setupControlGradientBg = function(control) {
                var visibility = function() {
                    if ('gradient-bg' === setting.get()) {
                        control.container.removeClass('customizer-hidden');
                    } else {
                        control.container.addClass('customizer-hidden');
                    }
                };
                visibility();
                setting.bind(visibility);
            };

            var setupControlOverlay = function(control) {
                var visibility = function() {
                    if ('color-bg' === setting.get() || 'gradient-bg' === setting.get()) {
                        control.container.addClass('customizer-hidden');
                    } else {
                        control.container.removeClass('customizer-hidden');
                    }
                };
                visibility();
                setting.bind(visibility);
            };

            var videoBg = function(control) {
                var visibility = function() {
                    if ('video-bg' === setting.get()) {
                        control.container.removeClass('customizer-hidden');

                    } else {
                        control.container.addClass('customizer-hidden');
                    }
                };
                visibility();
                setting.bind(visibility);
            };



            wp.customize.control(settingId + '_bg_color', setupControlColorBg);
            wp.customize.control(settingId + '_bg_image', setupControlImageBg);
            wp.customize.control(settingId + '_parallax_effect', setupControlImageBg);
            wp.customize.control(settingId + '_bg_gradient', setupControlGradientBg);
            wp.customize.control(settingId + '_overlay_color', setupControlOverlay);

            wp.customize.control(settingId + '_bg_video', videoBg);


        });
    });
});