jQuery(document).ready(function($) {

    /**
     * Select Multiple Category
     */
    $('.customize-control-checkbox-multiple input[type="checkbox"]').on('change', function() {

        var checkbox_values = $(this).parents('.customize-control').find('input[type="checkbox"]:checked').map(
            function() {
                return $(this).val();
            }
        ).get().join(',');

        $(this).parents('.customize-control').find('input[type="hidden"]').val(checkbox_values).trigger('change');

    });

    /**
     * Switch Enable/Disable Control.
     */
    $('body').on('click', '.onoffswitch', function() {
        var $this = $(this);
        if ($this.hasClass('switch-on')) {
            $(this).removeClass('switch-on');
            $this.next('input').val('disable').trigger('change')
        } else {
            $(this).addClass('switch-on');
            $this.next('input').val('enable').trigger('change')
        }
    });


    //Homepage Section Sortable
    function chankhe_sections_order(container) {
        var sections = $(container).sortable('toArray');
        var sec_ordered = [];
        $.each(sections, function(index, sec_id) {
            sec_id = sec_id.replace("accordion-section-", "");
            sec_ordered.push(sec_id);
        });

        $.ajax({
            url: ajaxurl,
            type: 'post',
            dataType: 'html',
            data: {
                'action': 'chankhe_sections_reorder',
                'sections': sec_ordered,
            }
        }).done(function(data) {
            $.each(sec_ordered, function(key, value) {
                wp.customize.section(value).priority(key);
            });
            $(container).find('.chankhe-drag-spinner').hide();
            wp.customize.previewer.refresh();
        });
    }

    $('#sub-accordion-panel-chankhe_frontpage_settings').sortable({
        axis: 'y',
        helper: 'clone',
        cursor: 'move',
        items: '> li.control-section:not(#accordion-section-chankhe_slider_section)',
        delay: 150,
        update: function(event, ui) {
            $('#sub-accordion-panel-chankhe_frontpage_settings').find('.chankhe-drag-spinner').show();
            chankhe_sections_order('#sub-accordion-panel-chankhe_frontpage_settings');
            $('.wp-full-overlay-sidebar-content').scrollTop(0);
        }
    });


    //Scroll to section
    $('body').on('click', '#sub-accordion-panel-chankhe_frontpage_settings .control-subsection .accordion-section-title', function(event) {
        var section_id = $(this).parent('.control-subsection').attr('id');
        chankhe_scrollToSection(section_id);
    });


});


function chankhe_scrollToSection(section_id) {

    var preview_section_id = "banner-slider";

    var $contents = jQuery('#customize-preview iframe').contents();

    switch (section_id) {

        case 'sub-accordion-section-chankhe_slider_section':
            preview_section_id = "banner-slider";
            break;

        case 'accordion-section-chankhe_promoservice_section':
            preview_section_id = "chankhefeature";
            break;

        case 'accordion-section-chankhe_aboutus_section':
            preview_section_id = "about_us_front";
            break;

        case 'accordion-section-chankhe_video_calltoaction_section':
            preview_section_id = "calltoactionvideo_promo_wrapper";
            break;

        case 'accordion-section-chankhe_service_section':
            preview_section_id = "chankheservices";
            break;

        case 'accordion-section-chankhe_calltoaction_section':
            preview_section_id = "calltoaction_promo_wrapper";
            break;

        case 'accordion-section-chankhe_recentwork_section':
            preview_section_id = "chankheportfolio";
            break;

        case 'accordion-section-chankhe_counter_section':
            preview_section_id = "chankhecounter_wrap";
            break;

        case 'accordion-section-chankhe_blog_section':
            preview_section_id = "chankheblog";
            break;

        case 'accordion-section-chankhe_testimonial_section':
            preview_section_id = "chankhetestimonial";
            break;

        case 'accordion-section-chankhe_team_section':
            preview_section_id = "chankheteam";
            break;

    }

    if ($contents.find('#' + preview_section_id).length > 0) {
        $contents.find("html, body").animate({
            scrollTop: $contents.find("#" + preview_section_id).offset().top
        }, 1000);
    }
}