<?php 
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Chankhe
 */
?>

<div class="main-content">

<?php 
    /**
     * Enable Front Page
     */
    do_action( 'chankhe_enable_front_page' );

    $enable_front_page = get_theme_mod( 'chankhe_enable_frontpage', 'disable' );

        if ($enable_front_page == 'enable'):

            $chankhe_home_sections = chankhe_homepage_section();

            foreach ($chankhe_home_sections as $chankhe_homepage_section) {

                $chankhe_homepage_section = str_replace('chankhe_', '', $chankhe_homepage_section);
                $chankhe_homepage_section = str_replace('_section', '', $chankhe_homepage_section);

                get_template_part( 'template-parts/section/section', $chankhe_homepage_section );
            }
            
        endif;

   get_footer(); ?>