<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Chankhe
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">

<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'chankhe' ); ?></a>

    <?php
        $header = get_theme_mod('chankhe_navbar_layout', 'nav-1');
        get_template_part( 'template-parts/header/' . $header );
    ?>

<?php
	if( is_front_page() and  get_theme_mod( 'chankhe_enable_frontpage', 'disable' ) == 'enable' ){ 
		/**
	     * Hook -  chankhe_action_banner_slider
	     *
	     * @hooked chankhe_banner_slider - 25
	     */

	    do_action('chankhe_action_banner_slider');
	}elseif(is_home() && is_front_page() ){
        do_action('chankhe_action_banner_slider');
    }
?>

	<div id="content" class="site-content">
