<?php
$sections = array(
    'chankhe_promoservice' => '#chankhefeature',
    'chankhe_aboutus' => '#about_us_front',
    'chankhe_video_calltoaction' => '#calltoactionvideo_promo_wrapper',
    'chankhe_service' => '#chankheservices',
    'chankhe_counter' => '#chankhecounter_wrap',
    'chankhe_blog' => '#chankheblog',
    'chankhe_team' => '#chankheteam',
    'chankhe_testimonial' => '#chankhetestimonial'
);
$exclude_section = array();

foreach( $sections as $section => $parent ):
    
    // background type
    $wp_customize->add_setting($section."_bg_type", array(
        'default' => 'default',
        'sanitize_callback' => 'chankhe_sanitize_select',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control($section."_bg_type", array(
        'section'  => $section.'_section',
        'type' => 'select',
        'label' => esc_html__('Background Type', 'chankhe'),
        'choices' => array(
            'default'     => esc_html__('Default', 'chankhe'),
            'color-bg' => esc_html__('Color Background', 'chankhe'),
            'gradient-bg' => esc_html__('Gradient Background', 'chankhe'),
            'image-bg' => esc_html__('Image Background', 'chankhe')
        ),
    ));

    $wp_customize->add_setting($section.'_bg_color', array(
        'sanitize_callback' => 'sanitize_text_field',
        'default' => 'rgba(0,0,0,0)',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new Chankhe_Alpha_Color_Control($wp_customize, $section.'_bg_color', array(
        'label' => esc_html__('Background Color', 'chankhe'),
        'section' => $section.'_section'
    )));

    $wp_customize->add_setting($section."_bg_gradient", array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new Chankhe_Gradient_Control($wp_customize, $section."_bg_gradient", array(
        'section' => $section.'_section',
        'label' => esc_html__('Gradient Background', 'chankhe'),
    )));
    // Registers example_background settings
    $wp_customize->add_setting($section."_background_image", array(
        'sanitize_callback' => 'esc_url_raw',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_setting($section."_background_image_id", array(
        'sanitize_callback' => 'absint',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_setting($section."_background_image_repeat", array(
        'default' => 'no-repeat',
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_setting($section."_background_image_size", array(
        'default' => 'cover',
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_setting($section."_background_image_position", array(
        'default' => 'center center',
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_setting($section."_background_image_attach", array(
        'default' => 'fixed',
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage'
    ));
    // Registers control
    $wp_customize->add_control(new Chankhe_Background_Control($wp_customize, $section."_bg_image", array(
        'label' => esc_html__('Background Image', 'chankhe'),
        'section' => $section.'_section',
        'settings' => array(
            'image_url' => $section."_background_image",
            'image_id' => $section."_background_image_id",
            'repeat' => $section."_background_image_repeat", // Use false to hide the field
            'size' => $section."_background_image_size",
            'position' => $section."_background_image_position",
            'attach' => $section."_background_image_attach"
        ),
    )));

    

    /**
     * style
     */

    $wp_customize->add_setting($section.'_text_color', array(
        'default' => '',
        'sanitize_callback' => 'chankhe_sanitize_color_alpha',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, $section.'_text_color', array(
        'section' => $section.'_section',
        'label' => esc_html__('Text Color', 'chankhe')
    )));


    // Margin Padding
    $wp_customize->add_setting($section.'_margin_msg', array(
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new Chankhe_Customize_Heading($wp_customize, $section.'_margin_msg', array(
        'section' => $section.'_section',
        'label' => esc_html__('Margin & Padding', 'chankhe')
    )));
    $wp_customize->add_setting(
        $section.'_margin',
        array(
            'sanitize_callback' => 'chankhe_sanitize_field_default_css_box',
            'default'           => '',
            'transport'         => 'postMessage',
        )
    );
    $wp_customize->add_control(
        new Chankhe_Cssbox(
            $wp_customize,
            $section.'_margin',
            array(
                'label'    => esc_html__( 'Margin (px)', 'chankhe' ),
                'section'  => $section.'_section',
                'settings' => $section.'_margin',
            ),
            array(),
            array()
        )
    );
    /* Padding*/
    $wp_customize->add_setting(
        $section.'_padding',
        array(
            'sanitize_callback' => 'chankhe_sanitize_field_default_css_box',
            'default'           => '',
            'transport'         => 'postMessage',
        )
    );
    $wp_customize->add_control(
        new Chankhe_Cssbox(
            $wp_customize,
            $section.'_padding',
            array(
                'label'    => esc_html__( 'Padding (px)', 'chankhe' ),
                'section'  => $section.'_section',
                'settings' => $section.'_padding',
            ),
            array(),
            array()
        )
    );

endforeach;