<?php
/**
 * Dynamic css
*/
if (! function_exists('chankhe_dynamic_css')){

	function chankhe_dynamic_css(){


		$chankhe_dynamic = $chankhe_dynamic_mobile = $chankhe_dynamic_tablet = '';

        /**
         * Primary Color
         */
        $primary_color = get_theme_mod( 'chankhe_primary_color');
        if($primary_color){
            $chankhe_dynamic .="
                .btn-primary,
                a.button, button, input[type=\"submit\"],
                .video_calltoaction_wrap .box-shadow-ripples,
                .nav-classic .header-nav-toggle div,
                .page-numbers,
                .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,
                .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,
                .widget_product_search a.button, .widget_product_search button, .widget_product_search input[type=\"submit\"], .widget_search .search-submit,
                .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle,
                .btn__arrow--block,
                .articlesListing .article .info div:after{
                    background-color: $primary_color; 
                }
                .cross-sells h2:before,
                .cart_totals h2:before,
                .up-sells h2:before,
                .related h2:before,
                .page-numbers,
                .page-numbers:hover,
                .woocommerce-billing-fields h3:before,
                .woocommerce-shipping-fields h3:before,
                .woocommerce-additional-fields h3:before,
                #order_review_heading:before,
                .woocommerce-order-details h2:before,
                .woocommerce-column--billing-address h2:before,
                .woocommerce-column--shipping-address h2:before,
                .woocommerce-Address-title h3:before,
                .woocommerce-MyAccount-content h3:before,
                .wishlist-title h2:before,
                .woocommerce-account .woocommerce h2:before,
                .widget-area .widget h2:before,
                .comments-area .comments-title:before,
                .site-footer .widget h2::before,
                .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle,
                .btn-primary{
                    border-color: $primary_color;
                }

                a:hover, a:focus, a:active,
                .logged-in-as a,
                .not-found .page-header h1,
                .page-numbers.current,
                .page-numbers:hover,
                .breadcrumb ul li a:hover,
                .breadcrumb ul li,
                .site-footer .textwidget ul li a,
                .entry-content a,
                .prevNextArticle a:hover,
                .box-header-nav .main-menu .children > .page_item.current_page_item > a, .box-header-nav .main-menu .sub-menu > .menu-item.current-menu-item > a,
                .widget-area .widget a:hover, .widget-area .widget a:hover::before, .widget-area .widget li:hover::before,
                .chankhecopyright a, .chankhecopyright a.privacy-policy-link:hover,
                .site-footer .widget a:hover, .site-footer .widget a:hover::before, .site-footer .widget li:hover::before,
                .box-header-nav .main-menu .children > .page_item:hover > a, .box-header-nav .main-menu .children > .page_item.focus > a, .box-header-nav .main-menu .sub-menu > .menu-item:hover > a, .box-header-nav .main-menu .sub-menu > .menu-item.focus > a,
                .transparent .box-header-nav .main-menu .page_item:hover a, 
                .transparent .box-header-nav .main-menu .page_item.focus a, 
                .transparent .box-header-nav .main-menu > .menu-item:hover > a, 
                .transparent .box-header-nav .main-menu > .menu-item.focus > a,
                .chankhefeature .feature-list h4 a:hover,
                .about_us_front .about_top_title,
                .video_cta_page_wrap .about_top_title{
                    color: $primary_color;
                }
            ";
        }

        /** chankhe business child theme  */
        $chankhe_page_width = get_theme_mod('chankhe_page_width', 90);
        $chankhe_page_width_tablet = get_theme_mod('chankhe_page_width_tablet', 100);
        $chankhe_page_width_mobile = get_theme_mod('chankhe_page_width_mobile', 100);
        $page_width_unit = get_theme_mod('chankhe_page_width_unit', '%');
        $chankhe_dynamic .="
            .container{
                max-width: {$chankhe_page_width}{$page_width_unit};
            }
        ";
        $chankhe_dynamic_tablet .="
            .container{
                max-width: {$chankhe_page_width_tablet}{$page_width_unit};
            }
        ";
        
        $chankhe_dynamic_mobile .="
            .container{
                max-width: {$chankhe_page_width_mobile}{$page_width_unit};
            }
        ";
        
        $chankhe_page_box_width = get_theme_mod('chankhe_page_box_width', 90);
        $chankhe_page_box_width_tablet = get_theme_mod('chankhe_page_box_width_tablet', 100);
        $chankhe_page_box_width_mobile = get_theme_mod('chankhe_page_box_width_mobile', 100);
        $page_width_unit = get_theme_mod('chankhe_page_box_width_unit', '%');
        $chankhe_dynamic .="
            body.boxed .main-content{
                max-width: {$chankhe_page_box_width}{$page_width_unit};
            }
        ";
        $chankhe_dynamic_tablet .="
            body.boxed .main-content{
                max-width: {$chankhe_page_box_width_tablet}{$page_width_unit};
            }
        ";
        
        $chankhe_dynamic_mobile .="
            body.boxed .main-content{
                max-width: {$chankhe_page_box_width_mobile}{$page_width_unit};
            }
        ";
        
        /**
         * BreadCumb Bg
         */
        $breadcrumb_image = get_header_image();
        if($breadcrumb_image){
            $chankhe_dynamic .=".breadcrumb{background-image: url(". $breadcrumb_image .") }";
        }else{
            $bg_color = get_theme_mod('chankhe_header_gradient_color');
            if($bg_color) {
                $css = [];
                $css[] = "$bg_color";
                $chankhe_dynamic .=".breadcrumb::before{" .implode(';', $css ) . "}";
            }
        }

        $dynamic_sections = array(
            'chankhe_promoservice' => '#chankhefeature',
            'chankhe_aboutus' => '#about_us_front',
            'chankhe_video_calltoaction' => '#calltoactionvideo_promo_wrapper',
            'chankhe_service' => '#chankheservices',
            'chankhe_counter' => '#chankhecounter_wrap',
            'chankhe_blog' => '#chankheblog',
            'chankhe_team' => '#chankheteam',
            'chankhe_testimonial' => '#chankhetestimonial'
        );
        foreach($dynamic_sections as $section => $parent):

            $text_color        = get_theme_mod($section."_text_color");
            
            $_margin            = get_theme_mod($section."_margin");
            $_padding           = get_theme_mod($section."_padding");



            //margin
            $_margin = json_decode( $_margin, true );
            $section_style = $section_style_tablet = $section_style_mobile = "";

            // desktop margin
            $_margin_desktop = chankhe_cssbox_values_inline( $_margin, 'desktop' );
            if ( strpos( $_margin_desktop, 'px' ) !== false ) {
                $section_style .= 'margin:' . $_margin_desktop . ';';
            }
            // tablet margin
            $_margin_desktop = chankhe_cssbox_values_inline( $_margin, 'tablet' );
            if ( strpos( $_margin_desktop, 'px' ) !== false ) {
                $section_style_tablet .= 'margin:' . $_margin_desktop . ';';
            }
            // mobile margin
            $_margin_desktop = chankhe_cssbox_values_inline( $_margin, 'mobile' );
            if ( strpos( $_margin_desktop, 'px' ) !== false ) {
                $section_style_mobile .= 'margin:' . $_margin_desktop . ';';
            }

            $_padding = json_decode( $_padding, true );
            // desktop padding
            $_padding_desktop = chankhe_cssbox_values_inline( $_padding, 'desktop' );
            if ( strpos( $_padding_desktop, 'px' ) !== false ) {
                $section_style .= 'padding:' . $_padding_desktop . ';';
            }
            // tablet padding
            $_padding_desktop = chankhe_cssbox_values_inline( $_padding, 'tablet' );
            if ( strpos( $_padding_desktop, 'px' ) !== false ) {
                $section_style_tablet .= 'padding:' . $_padding_desktop . ';';
            }
            // mobile padding
            $_padding_desktop = chankhe_cssbox_values_inline( $_padding, 'mobile' );
            if ( strpos( $_padding_desktop, 'px' ) !== false ) {
                $section_style_mobile .= 'padding:' . $_padding_desktop . ';';
            }

            if($section_style) $chankhe_dynamic .= " {$parent} { $section_style } ";

            if($section_style_tablet) $chankhe_dynamic_tablet .= " {$parent} { $section_style_tablet } ";

            if($section_style_mobile) $chankhe_dynamic_mobile .= " {$parent} { $section_style_mobile } ";


            
            /** Section Background */
            $header_style = $header_tablet_style =  $header_mobile_style = "";
            $bg_type = get_theme_mod($section.'_bg_type', 'default');
            $bg_color = get_theme_mod($section.'_bg_color');//rgba(0,0,0,0)
            $bg_image = get_theme_mod($section.'_background_image');
            
            if($text_color){
                $chankhe_dynamic .= "{$parent} *:not(.default-color, .default-color *, .primary-color){ color: $text_color; }"; 
            }

            if( $bg_type == 'default' ){
                // $chankhe_dynamic .= "{$parent}{ 
                //     background-image: none;
                //     background-color: inherit;
                // }";
            }else if( $bg_type == 'image-bg'){
                if ( $bg_image ) {
                    $chankhe_dynamic .= "{$parent}{ 
                        background-image: url(". esc_url( $bg_image ) . "); 
                        background-repeat: ". get_theme_mod($section.'_background_image_repeat', 'no-repeat')."; 
                        background-position: ". get_theme_mod($section.'_background_image_position', 'center center')."; 
                        background-size: ". get_theme_mod($section.'_background_image_size', 'cover').";
                        
                        background-attachment: ". get_theme_mod($section.'_background_image_attach', 'fixed'). ";
                    }";
                    if($bg_color){
                        $chankhe_dynamic .= "
                        {$parent}:before{
                            background-color: $bg_color;
                            content: '';
                            position: absolute;
                            top: 0;
                            width: 100%;
                            height: 100%;
                            z-index: 0;
                            left:0;
                            right:0;
                        }
                        ";
                    }
                }
            }elseif( $bg_type == 'gradient-bg' ){
                $gd = get_theme_mod($section.'_bg_gradient');
                if( $gd ) {
                    $css = [];
                    $css[] = "$gd";
                    $chankhe_dynamic .= "{$parent}{" . implode(';', $css) . "}";
                }
            }else if($bg_color){
                $chankhe_dynamic .= "{$parent}{ 
                    background-color: $bg_color;
                }";
            }


        endforeach;


        $chankhe_dynamic .= "@media screen and (max-width:768px){{$chankhe_dynamic_tablet}}";
        $chankhe_dynamic .= "@media screen and (max-width:480px){{$chankhe_dynamic_mobile}}";
        

        wp_add_inline_style( 'chankhe-style', $chankhe_dynamic );
	}
}
add_action( 'wp_enqueue_scripts', 'chankhe_dynamic_css', 99 );