<?php
/**
 * Main Custom admin functions area
 *
 * @param Chankhe
 *
 */


/**
 * Load Custom Themes functions that act independently of the theme functions.
 */
require get_theme_file_path('inc/themes-functions.php');

/** Customizer Controls */
require get_template_directory() . '/inc/custom-controller/init.php';

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer/customizer.php';


/**
 * Customizer Sanitization.
 */
require get_template_directory() . '/inc/customizer/sanitize.php';
/**
 * Custom Fonts Array
 */
require get_template_directory() . '/inc/font-icons.php';

/**
 * Customizer Custom Controller.
 */
require get_template_directory() . '/inc/customizer/custom-controller.php';

/**
 * Dynamic Color.
 */
require get_template_directory() . '/inc/dynamic.php';

/**
 * Breadcrumbs.
 */
require get_template_directory() . '/inc/breadcrumbs/breadcrumbs.php';


/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {

	require get_template_directory() . '/inc/jetpack.php';
	
}

/**
 * Mobile Menu
 */
require get_template_directory() . '/inc/mobile-menu/init.php';
if( is_admin() ) {
	/**
	 * Load in customizer upgrade to pro
	*/
	require get_template_directory() .'/inc/custom-controller/customizer-pro/class-customize.php';

}