<?php
/**
 * The template for displaying  page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Chankhe
 */

global $post;

$post_sidebar = esc_attr( get_post_meta($post->ID, 'chankhe_page_layouts', true ) );

if(!$post_sidebar){
    $post_sidebar =  esc_attr( get_theme_mod( 'chankhe_page_sidebar','right' ) );
}

if ($post_sidebar == 'no') { 

    $colid = 12;

} elseif ($post_sidebar == 'left' || $post_sidebar == 'right'){

    $colid = 9;

} 

get_header(); 

if( !is_front_page() )  do_action('chankhe_breadcrumbs'); 

$chankhe_header_layout = get_theme_mod('chankhe_header_layout', 'layout-1');
?>

<div class="main-content">
	<?php if($chankhe_header_layout == 'layout-2') do_action( 'chankhe_breadcrumbs_content' ); ?>
	<div class="container">

		<div class="row">

			<?php if( $post_sidebar == 'left' && is_active_sidebar('sidebar-2') ){ get_sidebar('left'); } ?>
			
			<div id="primary" class="content-area col-lg-<?php echo intval ( $colid ); ?> col-md-<?php echo intval ( $colid ); ?> col-sm-12">
				<main id="main" class="site-main">
					<div class="articlesListing">	
						<?php
							while ( have_posts() ) :
								
								the_post();

								get_template_part( 'template-parts/content', 'page' );

								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;

							endwhile; // End of the loop.
						?>
					</div><!-- Articales Listings -->
				</main><!-- #main -->
			</div><!-- #primary -->

			<?php if( $post_sidebar == 'right' && is_active_sidebar('sidebar-1') ){ get_sidebar('right'); } ?>

		</div>
	</div>

	<?php get_footer();